"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.mathRouter = void 0;
const express_1 = require("express");
const math_record_1 = require("../record/math.record");
const countPoints_1 = require("../util/countPoints");
exports.mathRouter = (0, express_1.Router)()
    .get('/all/:sort', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const results = yield math_record_1.MathRecord.findAll(req.params.sort);
    res.json(results);
}))
    .get('/res/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const points = yield math_record_1.MathRecord.getOneRes(req.params.id);
    res.json(points);
}))
    .get('/:id', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const user = yield math_record_1.MathRecord.getOne(req.params.id);
    res.json(user);
}))
    .post('/log', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { nick, pass } = req.body;
    const downId = yield math_record_1.MathRecord.checkLog(nick, pass);
    res.json(downId);
}))
    .post('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const ent = new math_record_1.MathRecord(req.body);
    yield ent.insert();
    res.json(ent);
}))
    .patch('/', (req, res) => __awaiter(void 0, void 0, void 0, function* () {
    const { id, val } = req.body;
    const value = yield math_record_1.MathRecord.addPoints(id, val[15], (0, countPoints_1.countPoints)(val));
    res.json(value);
}));
//# sourceMappingURL=math-router.js.map