"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const math_record_1 = require("../record/math.record");
const db_1 = require("../util/db");
const defaultObj = {
    nick: "Ja",
    pass: "mis",
    email: 'abc@def.pl',
    add: 0,
    sub: 0,
    mul: 0,
    div: 0,
};
afterAll(() => __awaiter(void 0, void 0, void 0, function* () {
    yield db_1.pool.end();
}));
test('Download data from DB', () => __awaiter(void 0, void 0, void 0, function* () {
    const ad = yield math_record_1.MathRecord.getOne('7b7cf08b-cfe4-46cd-8c7e-c5d8fc4376b5');
    expect(ad).toBeDefined();
    expect(ad.nick).toBe('Michu');
    expect(ad.pass).toBe('$2b$10$C/VdLSe25AkYmN8K/RCeietAKqCIxtnRMnI7xP1XNQiko/9XMZube');
}));
test('If isnt returned null', () => __awaiter(void 0, void 0, void 0, function* () {
    const ad = yield math_record_1.MathRecord.getOne('---');
    expect(ad).toBeNull();
}));
test('AdRecord.insert inserts data to database.', () => __awaiter(void 0, void 0, void 0, function* () {
    const ad = new math_record_1.MathRecord(defaultObj);
    yield ad.insert();
    const foundAd = yield math_record_1.MathRecord.getOne(ad.id);
    expect(foundAd).toBeDefined();
    expect(foundAd).not.toBeNull();
    expect(foundAd.id).toBe(ad.id);
    expect(foundAd.add).toBe(ad.add);
    expect(foundAd.sub).toBe(ad.sub);
    expect(foundAd.mul).toBe(ad.mul);
    expect(foundAd.div).toBe(ad.div);
}));
test('Getting 1 result: getOneRes', () => __awaiter(void 0, void 0, void 0, function* () {
    const foundAd = yield math_record_1.MathRecord.getOneRes('ed28667b-86ea-4c0c-acda-319d95dd1695');
    expect(foundAd.add).toBe(0);
    expect(foundAd.sub).toBe(0);
    expect(foundAd.mul).toBe(0);
    expect(foundAd.div).toBe(0);
}));
test('Change value Points', () => __awaiter(void 0, void 0, void 0, function* () {
    yield math_record_1.MathRecord.addPoints('ed28667b-86ea-4c0c-acda-319d95dd1695', 1, 5);
    const foundAd = yield math_record_1.MathRecord.getOneRes('ed28667b-86ea-4c0c-acda-319d95dd1695');
    expect(foundAd.add).toBe(5);
    expect(foundAd.sub).toBe(0);
    expect(foundAd.mul).toBe(0);
    expect(foundAd.div).toBe(0);
}));
//# sourceMappingURL=math.test.js.map